Bug 2046829 - php-pecl-http: FTBFS in Fedora rawhide/f36
Summary: php-pecl-http: FTBFS in Fedora rawhide/f36
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: php-pecl-http
Version: 36
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F36FTBFS F37FTBFS
TreeView+ depends on / blocked
 
Reported: 2022-01-27 09:32 UTC by Fedora Release Engineering
Modified: 2022-03-26 15:02 UTC (History)
1 user (show)

Fixed In Version: php-pecl-http-4.2.2-1.fc36
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-03-26 15:02:26 UTC
Type: ---


Attachments (Terms of Use)
build.log (32.00 KB, text/plain)
2022-01-27 09:32 UTC, Fedora Release Engineering
no flags Details
root.log (32.00 KB, text/plain)
2022-01-27 09:32 UTC, Fedora Release Engineering
no flags Details
state.log (1002 bytes, text/plain)
2022-01-27 09:32 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2022-01-27 09:32:43 UTC
php-pecl-http failed to build from source in Fedora rawhide/f36

https://koji.fedoraproject.org/koji/taskinfo?taskID=81985139


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild
Please fix php-pecl-http at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
php-pecl-http will be orphaned. Before branching of Fedora 37,
php-pecl-http will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2022-01-27 09:32:46 UTC
Created attachment 1856113 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Fedora Release Engineering 2022-01-27 09:32:47 UTC
Created attachment 1856114 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2022-01-27 09:32:49 UTC
Created attachment 1856115 [details]
state.log

Comment 4 Ben Cotton 2022-02-08 20:38:16 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 36 development cycle.
Changing version to 36.

Comment 5 Remi Collet 2022-02-11 12:51:30 UTC
Related to libcurl 7.81
Reported as https://github.com/m6w6/ext-http/issues/123

Comment 6 Fedora Update System 2022-02-25 08:29:30 UTC
FEDORA-2022-d956f7dfc8 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-d956f7dfc8

Comment 7 Fedora Update System 2022-02-25 20:49:28 UTC
FEDORA-2022-7836143666 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-7836143666`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-7836143666

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2022-03-26 15:02:26 UTC
FEDORA-2022-7836143666 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.